dan200.computercraft.api.turtle

## Enum TurtleSide

- java.lang.Object
- - java.lang.Enum<TurtleSide>
  - - dan200.computercraft.api.turtle.TurtleSide

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TurtleSide>

    public enum TurtleSide
    extends java.lang.Enum<TurtleSide>

An enum representing the two sides of the turtle that a turtle turtle might reside.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Left` The turtles left side (where the pickaxe usually is on a Wireless Mining Turtle)
`Right` The turtles right side (where the modem usually is on a Wireless Mining Turtle)

### Method Summary

Methods
`static TurtleSide` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TurtleSide[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Left

    public static final TurtleSide Left

The turtles left side (where the pickaxe usually is on a Wireless Mining Turtle)

#### Right

    public static final TurtleSide Right

The turtles right side (where the modem usually is on a Wireless Mining Turtle)

### Method Detail

#### values

    public static TurtleSide[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TurtleSide c : TurtleSide.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TurtleSide valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null